Skip to main content
GET
https://{tenantDomain}/api/v2
/
self-service-profiles
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.SelfServiceProfiles.List(
        context.TODO(),
        &management.ListSelfServiceProfilesRequestParameters{
            Page: management.Int(
                1,
            ),
            PerPage: management.Int(
                1,
            ),
            IncludeTotals: management.Bool(
                true,
            ),
        },
    )
}
[
  {
    "id": "ssp_n7SNCL8seoyV1TuSTCnAeo",
    "name": "<string>",
    "description": "<string>",
    "user_attributes": [
      {
        "name": "<string>",
        "description": "<string>",
        "is_optional": true
      }
    ],
    "created_at": "2021-01-01T00:00:00.000Z",
    "updated_at": "2021-01-01T00:00:00.000Z",
    "branding": {
      "logo_url": "<string>",
      "colors": {
        "primary": "<string>"
      }
    },
    "allowed_strategies": [
      "oidc"
    ],
    "user_attribute_profile_id": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page index of the results to return. First page is 0.

Required range: x >= 0
per_page
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

Response

List of existing profiles.

id
string
default:ssp_n7SNCL8seoyV1TuSTCnAeo

The unique ID of the self-service Profile.

name
string

The name of the self-service Profile.

description
string

The description of the self-service Profile.

user_attributes
object[]

List of attributes to be mapped that will be shown to the user during the SS-SSO flow.

created_at
string<date-time>
default:2021-01-01T00:00:00.000Z

The time when this self-service Profile was created.

updated_at
string<date-time>
default:2021-01-01T00:00:00.000Z

The time when this self-service Profile was updated.

branding
object
allowed_strategies
enum<string>[]

List of IdP strategies that will be shown to users during the Self-Service SSO flow. Possible values: [oidc, samlp, waad, google-apps, adfs, okta, auth0-samlp, okta-samlp, keycloak-samlp, pingfederate]

Minimum array length: 1
Available options:
oidc,
samlp,
waad,
google-apps,
adfs,
okta,
auth0-samlp,
okta-samlp,
keycloak-samlp,
pingfederate
user_attribute_profile_id
string<user-attribute-profile-id>

ID of the user-attribute-profile to associate with this self-service profile.